Debian Bug report logs - #578563
RFP: fribid -- FriBID is a free software implementation of the Swedish e-id system BankID

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: noname <rx82cixl+debian@gmail.com>

Date: Tue, 20 Apr 2010 20:00:01 UTC

Severity: wishlist

Merged with 627995

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rx82cixl+debian@gmail.com, wnpp@debian.org:
Bug#578563; Package wnpp. (Tue, 20 Apr 2010 20:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to noname <rx82cixl+debian@gmail.com>:
New Bug report received and forwarded. Copy sent to rx82cixl+debian@gmail.com, wnpp@debian.org. (Tue, 20 Apr 2010 20:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: noname <rx82cixl+debian@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: FriBID -- FriBID is a free software implementation of the Swedish bank ID system Bank-ID
Date: Tue, 20 Apr 2010 21:51:27 +0200
Package: wnpp
Severity: wishlist


* Package name    : FriBID
  Version         : 0.1.3
  Upstream Author : Samuel Lidén Borell <samuel@slbdata.se>
* URL             : http://fribid.se/
* License         : MIT/Expat, GPL/LGPL/MPL or NPL for some files (wrappers for NPAPI etc.)
  Programming Lang: C
  Description     : FriBID is a free software implementation of the Swedish bank ID system BankID

FriBID is a free software implementation of the Swedish bank ID system BankID. This is used for tax declaration, e-trade, online banking etc. and the only GNU/Linux distribution supported by the official client is Ubuntu 32bit.

There are official Debian packages but I'd like to see this in the repository.




Changed Bug title to 'ITP: FriBID -- FriBID is a free software implementation of the Swedish bank ID system Bank-ID' from 'RFP: FriBID -- FriBID is a free software implementation of the Swedish bank ID system Bank-ID' Request was from Samuel Lidén Borell <samuel@slbdata.se> to control@bugs.debian.org. (Mon, 11 Oct 2010 01:06:03 GMT) Full text and rfc822 format available.

Owner recorded as Samuel Lidén Borell <samuel@slbdata.se>. Request was from Samuel Lidén Borell <samuel@slbdata.se> to control@bugs.debian.org. (Mon, 11 Oct 2010 01:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Lidén Borell <samuel@slbdata.se>:
Bug#578563; Package wnpp. (Wed, 27 Jul 2011 16:31:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Lidén Borell <samuel@slbdata.se>. (Wed, 27 Jul 2011 16:31:40 GMT) Full text and rfc822 format available.

Message #14 received at 578563@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 578563@bugs.debian.org
Cc: control@bugs.debian.org
Subject: FriBID: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:33 +0200
retitle 578563 RFP: FriBID -- FriBID is a free software implementation of the Swedish bank ID system Bank-ID
noowner 578563
thanks

Hi,

This is an automatic email to change the status of FriBID back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting FriBID, please send a mail to
<control@bugs.debian.org> with:

 retitle 578563 ITP: FriBID -- FriBID is a free software implementation of the Swedish bank ID system Bank-ID
 owner 578563 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <578563@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: FriBID -- FriBID is a free software implementation of the Swedish bank ID system Bank-ID' from 'ITP: FriBID -- FriBID is a free software implementation of the Swedish bank ID system Bank-ID' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:50:26 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Samuel Lidén Borell <samuel@slbdata.se>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:50:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Wed, 27 Jul 2011 17:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@primekey.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 17:51:06 GMT) Full text and rfc822 format available.

Message #23 received at 578563@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@primekey.se>
To: 578563@bugs.debian.org
Subject: RFP: FriBID
Date: Wed, 27 Jul 2011 19:41:42 +0200
If users & sponsors are interested I can change this back to an ITP...

My packaging is available on GitHub. I will keep it up to date because I
already maintain a Launchpad PPA with this package. I'll keep 
subscribing to this RFP in case anyone has suggestions, patches, etc.

https://github.com/samuellb/fribid-debian/


Regards,
Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Sun, 25 Sep 2011 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@slbdata.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 25 Sep 2011 15:00:03 GMT) Full text and rfc822 format available.

Message #28 received at 578563@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@slbdata.se>
To: 578563@bugs.debian.org
Subject: ITP: FriBID - Status update
Date: Sun, 25 Sep 2011 16:47:39 +0200
retitle 578563 ITP: FriBID -- FriBID is a free software implementation of the Swedish bank ID system Bank-ID
owner 578563 !
thanks


Status update:

I was offered sponsoring in August, but decided it was better to wait until some bugs in version 0.3.1 had been fixed.

Now these bugs are fixed, and I have contacted my prospective sponsor again... Hopefully we we'll see an upload in the near future :)


Regards,
Samuel Lidén Borell




Merged 578563 627995. Request was from Samuel Lidén Borell <samuel@primekey.se> to control@bugs.debian.org. (Mon, 26 Sep 2011 09:15:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: FriBID -- FriBID is a free software implementation of the Swedish e-id system BankID' from 'RFP: FriBID -- FriBID is a free software implementation of the Swedish bank ID system Bank-ID' Request was from Samuel Lidén Borell <samuel@slbdata.se> to control@bugs.debian.org. (Mon, 26 Sep 2011 09:30:13 GMT) Full text and rfc822 format available.

Owner recorded as Samuel Lidén Borell <samuel@slbdata.se>. Request was from Samuel Lidén Borell <samuel@slbdata.se> to control@bugs.debian.org. (Mon, 26 Sep 2011 09:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Tue, 11 Oct 2011 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@slbdata.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Oct 2011 13:27:06 GMT) Full text and rfc822 format available.

Message #39 received at 578563@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@slbdata.se>
To: 578563@bugs.debian.org
Subject: Looking for a new sponsor for FriBID
Date: Tue, 11 Oct 2011 15:24:24 +0200
My prospective sponsor won't be able to sponsor for some time. If anyone else can offer sponsoring (or even review the packaging), please leave a message.

-- 
Regards,
Samuel Lidén Borell




Changed Bug title to 'ITP: fribid -- FriBID is a free software implementation of the Swedish e-id system BankID' from 'ITP: FriBID -- FriBID is a free software implementation of the Swedish e-id system BankID' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Wed, 01 Feb 2012 21:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@slbdata.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Feb 2012 21:27:07 GMT) Full text and rfc822 format available.

Message #46 received at 578563@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@slbdata.se>
To: 578563@bugs.debian.org
Subject: FriBID
Date: Wed, 01 Feb 2012 22:05:56 +0100
retitle 578563 RFP: fribid -- FriBID is a free software implementation of the Swedish e-id system BankID
noowner 578563
thanks






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Lidén Borell <samuel@slbdata.se>:
Bug#578563; Package wnpp. (Sun, 04 Mar 2012 21:30:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Lidén Borell <samuel@slbdata.se>. (Sun, 04 Mar 2012 21:30:24 GMT) Full text and rfc822 format available.

Message #51 received at 578563@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: 578563@bugs.debian.org
Subject: Re: Looking for a new sponsor for FriBID
Date: Sun, 4 Mar 2012 22:28:29 +0100
[Message part 1 (text/plain, inline)]
On tisdagen den 11 oktober 2011, you stated the following:
> My prospective sponsor won't be able to sponsor for some time. If anyone
> else can offer sponsoring (or even review the packaging), please leave a
> message.

I just sent an annoyed message to my bank support, but I guess I should just 
forget about the official BankID client and look into this instead at the 
earliest opportunity.

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Lidén Borell <samuel@slbdata.se>:
Bug#578563; Package wnpp. (Mon, 27 May 2013 13:34:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Lidén Borell <samuel@slbdata.se>. (Mon, 27 May 2013 13:34:21 GMT) Full text and rfc822 format available.

Message #56 received at 578563@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 578563@bugs.debian.org
Cc: control@bugs.debian.org
Subject: fribid: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:20 +0200
retitle 578563 RFP: fribid -- FriBID is a free software implementation of the Swedish e-id system BankID
noowner 578563
tag 578563 - pending
thanks

Hi,

This is an automatic email to change the status of fribid back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting fribid, please send a mail to
<control@bugs.debian.org> with:

 retitle 578563 ITP: fribid -- FriBID is a free software implementation of the Swedish e-id system BankID
 owner 578563 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <578563@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: fribid -- FriBID is a free software implementation of the Swedish e-id system BankID' from 'ITP: fribid -- FriBID is a free software implementation of the Swedish e-id system BankID' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:03:28 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Samuel Lidén Borell <samuel@slbdata.se>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:03:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Fri, 24 Jan 2014 00:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 24 Jan 2014 00:45:04 GMT) Full text and rfc822 format available.

Message #65 received at 578563@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 578563@bugs.debian.org
Subject: Status?
Date: Fri, 24 Jan 2014 01:41:35 +0100
Hi!

What is the status for this?

I can sponsor uploads for fribid if proper packaging is available.


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Tue, 28 Jan 2014 23:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 28 Jan 2014 23:00:05 GMT) Full text and rfc822 format available.

Message #70 received at 578563@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 578563@bugs.debian.org
Cc: samuel@slbdata.se
Subject: Re: Status?
Date: Tue, 28 Jan 2014 23:57:14 +0100
On Fri, Jan 24, 2014 at 1:41 AM, Per Andersson <avtobiff@gmail.com> wrote:
> Hi!
>
> What is the status for this?
>
> I can sponsor uploads for fribid if proper packaging is available.

Samuel, are you still up for maintaining this in? I see that there has been
some work in the packaging repository last year at least.

I would really like to see this uploaded and I am willing to sponsor!

Please upload to mentors.debian.net for review and upload.


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Sun, 02 Feb 2014 18:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@slbdata.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 02 Feb 2014 18:24:04 GMT) Full text and rfc822 format available.

Message #75 received at 578563@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@slbdata.se>
To: 578563@bugs.debian.org
Subject: Re: Bug#578563: Status?
Date: Sun, 02 Feb 2014 19:14:21 +0100
2014-01-28 23:57, Per Andersson wrote:
> Samuel, are you still up for maintaining this in? I see that there has been
> some work in the packaging repository last year at least.
> 
> I would really like to see this uploaded and I am willing to sponsor!
> 
> Please upload to mentors.debian.net for review and upload.

Thanks for the offer! I can be a maintainer. There's currently a lintian
notice about a missing PGP keys that I'll fix and then I'll upload to
Debian Mentors.

Regards,
Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Sun, 02 Feb 2014 19:00:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@slbdata.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 02 Feb 2014 19:00:26 GMT) Full text and rfc822 format available.

Message #80 received at 578563@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@slbdata.se>
To: 578563@bugs.debian.org
Subject: Re: Bug#578563: Status?
Date: Sun, 02 Feb 2014 19:59:06 +0100
2014-02-02 19:14, Samuel Lidén Borell wrote:
> 2014-01-28 23:57, Per Andersson wrote:
>> Samuel, are you still up for maintaining this in? I see that there has been
>> some work in the packaging repository last year at least.
>>
>> I would really like to see this uploaded and I am willing to sponsor!
>>
>> Please upload to mentors.debian.net for review and upload.
> 
> Thanks for the offer! I can be a maintainer. There's currently a lintian
> notice about a missing PGP keys that I'll fix and then I'll upload to
> Debian Mentors.

I've uploaded a lintian clean version (1.0.3-3) to Debian Mentors now

Regards,
Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Sun, 02 Feb 2014 19:12:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@slbdata.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 02 Feb 2014 19:12:14 GMT) Full text and rfc822 format available.

Message #85 received at 578563@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@slbdata.se>
To: 578563@bugs.debian.org
Subject: Re: Bug#578563: Status?
Date: Sun, 02 Feb 2014 20:11:08 +0100
2014-02-02 19:14, Samuel Lidén Borell skrev:
> 2014-01-28 23:57, Per Andersson wrote:
>> Samuel, are you still up for maintaining this in? I see that there has been
>> some work in the packaging repository last year at least.
>>
>> I would really like to see this uploaded and I am willing to sponsor!
>>
>> Please upload to mentors.debian.net for review and upload.
> 
> Thanks for the offer! I can be a maintainer. [...]

A clarification: You're very welcome to sponsor this. I was refering to
the offer to be a maintainer you sent on GitHub.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Thu, 06 Feb 2014 00:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Feb 2014 00:39:04 GMT) Full text and rfc822 format available.

Message #90 received at 578563@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 578563@bugs.debian.org
Subject: Package review
Date: Thu, 6 Feb 2014 01:37:35 +0100
Hi!

I have done some review and testing. Not complete yet.

debian/copyright:
* Update copyright, there has work has been done after 2011.
* Include MPL and NPL licenses directly in copyright and ditch the
  extra license files shipped.

Functionality:

Tried visiting http://test.bankid.com and got this error.

    BankID Security Application can not be installed.
    yOUR PLATFORM Linux 64-bit is not supported. You find information
about supported platforms here.

I don't have a working BankID so maybe this is expected behaviour?


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Thu, 06 Feb 2014 09:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@slbdata.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Feb 2014 09:57:12 GMT) Full text and rfc822 format available.

Message #95 received at 578563@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@slbdata.se>
To: 578563@bugs.debian.org
Subject: Re: Bug#578563: Package review
Date: Thu, 06 Feb 2014 10:56:27 +0100
2014-02-06 01:37, Per Andersson wrote:
> Hi!
> 
> I have done some review and testing. Not complete yet.
> 
> debian/copyright:
> * Update copyright, there has work has been done after 2011.
> * Include MPL and NPL licenses directly in copyright and ditch the
>   extra license files shipped.

I'll improve the copyright file.

> 
> Functionality:
> 
> Tried visiting http://test.bankid.com and got this error.
> 
>     BankID Security Application can not be installed.
>     yOUR PLATFORM Linux 64-bit is not supported. You find information
> about supported platforms here.
> 
> I don't have a working BankID so maybe this is expected behaviour?

There are some problems with the test page. It blocks 64-bit browsers
by the User-Agent HTTP header as you discovered. There are also some
other problems. It's probably not possible to fix completely, but it
should be documented in the manpage anyway.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Thu, 06 Feb 2014 18:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Feb 2014 18:18:04 GMT) Full text and rfc822 format available.

Message #100 received at 578563@bugs.debian.org (full text, mbox):

From: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
To: 578563@bugs.debian.org
Subject: Re: Bug#578563: Package review
Date: Thu, 6 Feb 2014 19:15:03 +0100 (CET)
On Thu, 6 Feb 2014, Samuel Lidén Borell wrote:
> 2014-02-06 01:37, Per Andersson wrote:
> >
> > Functionality:
> >
> > Tried visiting http://test.bankid.com and got this error.
> >
> > BankID Security Application can not be installed.
> > yOUR PLATFORM Linux 64-bit is not supported. You find information
> > about supported platforms here.
> >
> > I don't have a working BankID so maybe this is expected behaviour?
>
> There are some problems with the test page. It blocks 64-bit browsers
> by the User-Agent HTTP header as you discovered. There are also some
> other problems. It's probably not possible to fix completely, but it
> should be documented in the manpage anyway.

Does faking the User-Agent HTTP header help (as in
xul-ext-useragentswitcher) make any difference?  It seems to me the
User-Agent HTTP header is an incompetent/lame way (on the server side)
to assess ability.


Cheers,

-- 
Cristian



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Thu, 06 Feb 2014 22:42:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Feb 2014 22:42:16 GMT) Full text and rfc822 format available.

Message #105 received at 578563@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: 578563@bugs.debian.org, Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
Subject: Re: Bug#578563: Package review
Date: Thu, 6 Feb 2014 23:27:11 +0100
>> > Tried visiting http://test.bankid.com and got this error.
>> >
>> > BankID Security Application can not be installed.
>> > yOUR PLATFORM Linux 64-bit is not supported. You find information
>> > about supported platforms here.
>> >
>> > I don't have a working BankID so maybe this is expected behaviour?
>>
>> There are some problems with the test page. It blocks 64-bit browsers
>> by the User-Agent HTTP header as you discovered. There are also some
>> other problems. It's probably not possible to fix completely, but it
>> should be documented in the manpage anyway.
>
> Does faking the User-Agent HTTP header help (as in
> xul-ext-useragentswitcher) make any difference?  It seems to me the
> User-Agent HTTP header is an incompetent/lame way (on the server side)
> to assess ability.

Tried this, after first visiting a page stating

    Checking your version of BankID Security Application...

I just got another error message

    An unknown error has occurred.
    An unpredicted error has occurred.


--
Per



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Fri, 07 Feb 2014 00:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@slbdata.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 07 Feb 2014 00:15:05 GMT) Full text and rfc822 format available.

Message #110 received at 578563@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@slbdata.se>
To: 578563@bugs.debian.org
Subject: Re: Bug#578563: Package review
Date: Fri, 07 Feb 2014 01:12:53 +0100
2014-02-06 23:27, Per Andersson skrev:
>>> There are some problems with the test page. It blocks 64-bit browsers
>>> by the User-Agent HTTP header as you discovered. There are also some
>>> other problems. It's probably not possible to fix completely, but it
>>> should be documented in the manpage anyway.
>>
>> Does faking the User-Agent HTTP header help (as in
>> xul-ext-useragentswitcher) make any difference?  It seems to me the
>> User-Agent HTTP header is an incompetent/lame way (on the server side)
>> to assess ability.
> 
> Tried this, after first visiting a page stating
> 
>     Checking your version of BankID Security Application...
> 
> I just got another error message
> 
>     An unknown error has occurred.
>     An unpredicted error has occurred.

These errors happen because of unimplemented functions in FriBID (some
proprietary challenge/response schemes). These are needed by the test
web site but not by most (any?) other web sites that use BankID.

Since there are a lot of problems with the official test web site, it's
probably easier to simply create our own test page that does not use
these functions. I'll do that this weekend.

--
Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Sat, 08 Feb 2014 21:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Lidén Borell <samuel@slbdata.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 08 Feb 2014 21:48:05 GMT) Full text and rfc822 format available.

Message #115 received at 578563@bugs.debian.org (full text, mbox):

From: Samuel Lidén Borell <samuel@slbdata.se>
To: 578563@bugs.debian.org
Subject: Re: Bug#578563: Package review
Date: Sat, 08 Feb 2014 22:44:40 +0100
2014-02-06 01:37, Per Andersson wrote:
> I have done some review and testing. Not complete yet.
> 
> debian/copyright:
> * Update copyright, there has work has been done after 2011.
> * Include MPL and NPL licenses directly in copyright and ditch the
>   extra license files shipped.

Fixed.

> 
> Functionality:
> 
> Tried visiting http://test.bankid.com and got this error.
> 
>     BankID Security Application can not be installed.
>     yOUR PLATFORM Linux 64-bit is not supported. You find information
> about supported platforms here.
> 
> I don't have a working BankID so maybe this is expected behaviour?

You can now test FriBID at https://fribid.se/test/

Even if you don't have a BankID you should get a dialog box asking for a
BankID and a password. You can also generate a test BankID with the
"client/sendreq.sh" script in the source.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578563; Package wnpp. (Wed, 09 Apr 2014 08:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Andersson <avtobiff@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 09 Apr 2014 08:54:05 GMT) Full text and rfc822 format available.

Message #120 received at 578563@bugs.debian.org (full text, mbox):

From: Per Andersson <avtobiff@gmail.com>
To: Samuel Lidén Borell <samuel@slbdata.se>, 578563@bugs.debian.org
Subject: Re: Bug#578563: Package review
Date: Wed, 9 Apr 2014 10:52:42 +0200
Hi!

Sorry for the long delay. I think this is ready for upload now.

The package has disappeared from mentors.d.o though,
please reupload. Please take into consideration to include
the client test scripts in the new package.


On Sat, Feb 8, 2014 at 10:44 PM, Samuel Lidén Borell <samuel@slbdata.se> wrote:
> 2014-02-06 01:37, Per Andersson wrote:
>> I have done some review and testing. Not complete yet.
>>
>> debian/copyright:
>> * Update copyright, there has work has been done after 2011.
>> * Include MPL and NPL licenses directly in copyright and ditch the
>>   extra license files shipped.
>
> Fixed.

Neat.


>>
>> Functionality:
>>
>> Tried visiting http://test.bankid.com and got this error.
>>
>>     BankID Security Application can not be installed.
>>     yOUR PLATFORM Linux 64-bit is not supported. You find information
>> about supported platforms here.
>>
>> I don't have a working BankID so maybe this is expected behaviour?
>
> You can now test FriBID at https://fribid.se/test/

I have tested this now and it works.


> Even if you don't have a BankID you should get a dialog box asking for a
> BankID and a password. You can also generate a test BankID with the
> "client/sendreq.sh" script in the source.

Consider shipping the shell scripts in client/ with fribid
examples (so they will end up in /usr/share/doc/fribid/examples/).


--
Per



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:37:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.